"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
// @ts-ignore
var TerminalReporter_1 = __importDefault(require("metro/src/lib/TerminalReporter"));
var chalk_1 = __importDefault(require("chalk"));
var constants_1 = require("../constants");
// @ts-ignore
var HyTerminalReporter = /** @class */ (function (_super) {
    __extends(HyTerminalReporter, _super);
    function HyTerminalReporter(terminal, reportEvent) {
        var _this = _super.call(this, terminal) || this;
        // @ts-ignore
        _this.reportEvent = reportEvent;
        return _this;
    }
    HyTerminalReporter.prototype._log = function (event) {
        if (event.type === 'dep_graph_loading') {
            // @ts-ignore
            this.terminal.log(chalk_1.default.yellow.bold(constants_1.MATRIX_READY_MESSAGE));
            return;
        }
        return _super.prototype._log.call(this, event);
    };
    HyTerminalReporter.prototype._logInitializing = function () {
        var logo = [
            String.raw(templateObject_1 || (templateObject_1 = __makeTemplateObject([" __  __     __  __     __  __     ______    "], [" __  __     __  __     __  __     ______    "]))),
            String.raw(templateObject_2 || (templateObject_2 = __makeTemplateObject(["/ _    / /    / _    /  __    "], ["/\\ \\_\\ \\   /\\ \\/\\ \\   /\\ \\_\\ \\   /\\  __ \\   "]))),
            String.raw(templateObject_3 || (templateObject_3 = __makeTemplateObject(["   __     _    ____      __   "], ["\\ \\  __ \\  \\ \\ \\_\\ \\  \\ \\____ \\  \\ \\  __ \\  "]))),
            String.raw(templateObject_4 || (templateObject_4 = __makeTemplateObject(["  _ _   _____  /_____   _ _ "], [" \\ \\_\\ \\_\\  \\ \\_____\\  \\/\\_____\\  \\ \\_\\ \\_\\ "]))),
            String.raw(templateObject_5 || (templateObject_5 = __makeTemplateObject(["  /_//_/   /_____/   /_____/   /_//_/ "], ["  \\/_/\\/_/   \\/_____/   \\/_____/   \\/_/\\/_/ "]))),
            String.raw(templateObject_6 || (templateObject_6 = __makeTemplateObject(["                                            "], ["                                            "]))),
        ];
        // @ts-ignore
        this.terminal.log(chalk_1.default.yellow(logo.join("\n")));
    };
    HyTerminalReporter.prototype.setReportEvent = function (reportEvent) {
        // @ts-ignore
        this.reportEvent = reportEvent;
    };
    HyTerminalReporter.prototype.update = function (event) {
        _super.prototype.update.call(this, event);
        // @ts-ignore
        if (this.reportEvent) {
            // @ts-ignore
            this.reportEvent(event);
        }
    };
    return HyTerminalReporter;
}(TerminalReporter_1.default));
exports.default = HyTerminalReporter;
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6;
