"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var fs_extra_1 = __importDefault(require("fs-extra"));
var crypto_1 = __importDefault(require("crypto"));
function default_1(absPath) {
    return new Promise(function (resolve, reject) {
        var rs = fs_extra_1.default.createReadStream(absPath);
        var hash = crypto_1.default.createHash('md5');
        rs.on('data', hash.update.bind(hash));
        rs.on('end', function () {
            resolve(hash.digest('hex'));
        });
        rs.on('error', function (err) {
            reject(err);
        });
    });
}
exports.default = default_1;
