"use strict";
// https://gist.github.com/pguillory/729616
Object.defineProperty(exports, "__esModule", { value: true });
function hookStdout(callback) {
    var old_write = process.stdout.write;
    // @ts-ignore
    process.stdout.write = (function (write) {
        return function (str) {
            write.apply(process.stdout, arguments);
            callback(str);
        };
    })(process.stdout.write);
    return function () {
        process.stdout.write = old_write;
    };
}
exports.default = hookStdout;
