"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.utils = exports.compiler = void 0;
var matrixCompile_1 = __importDefault(require("./matrix-compile/matrixCompile"));
var matrixServer_1 = __importDefault(require("./matrix-server/matrixServer"));
var getExtMetroConfig_1 = require("./matrix-config/getExtMetroConfig");
var generateBuildResult_1 = require("./lib/generateBuildResult");
var getRegisterComponents_1 = require("./lib/getRegisterComponents");
exports.compiler = {
    compile: matrixCompile_1.default,
    devServer: matrixServer_1.default,
    getExtMetroConfig: getExtMetroConfig_1.getExtMetroConfig,
};
exports.utils = {
    generateDevBuildResult: generateBuildResult_1.generateDevBuildResult,
    generateProdBuildResult: generateBuildResult_1.generateProdBuildResult,
    getRegisterComponents: getRegisterComponents_1.getRegisterComponents,
    getActualComponents: getRegisterComponents_1.getActualComponents,
};
__exportStar(require("./matrix-config/configTypes"), exports);
