import DependencyGraph from 'metro/src/node-haste/DependencyGraph';
import { SerializerOptions } from './batchCompile';
import { ConfigT } from 'metro-config';
import { Platform } from '../lib/generateBuildResult';
declare const saveOutput: (outputOptions: {
    entryAbsPath: string;
    outputAbsPath: string;
    dependencyGraph: DependencyGraph;
    graph: any;
    config: ConfigT;
    serializerOptions: SerializerOptions;
    prepend: any;
    platform: Platform;
}) => Promise<{
    entryAbsPath: string;
    bundleAbsPath: string;
    bundleMd5: string;
    platform: Platform;
}>;
export default saveOutput;
